<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>施工单位管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(function() {
            $('#contentTable thead tr th input.i-checks').on('ifChecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定
                $('#contentTable tbody tr td input.i-checks').iCheck('check');
            });

            $('#contentTable thead tr th input.i-checks').on('ifUnchecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定
                $('#contentTable tbody tr td input.i-checks').iCheck('uncheck');
            });
            $('#contentTable tbody tr td input.i-checks').on('ifChecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定
                $(this).iCheck('check');
            });
            $('#contentTable tbody tr td input.i-checks').on('ifUnchecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定
                $(this).iCheck('uncheck');
            });
        })



        function openBill(title,url,width,height,target,formId){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['确定','关闭'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(formId){
                        var $document = iframeWin.contentWindow.document;
                        formSubmit($document,formId,index);
                    }
                },
                cancel: function(index){
                }
            });
        }
        function formSubmit($document,inputForm,index){
            var validateForm = $($document.getElementById(inputForm)).validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $($document.getElementById("#messageBox")).text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            if(validateForm.form()){
                $($document.getElementById(inputForm)).ajaxSubmit({
                    success:function(data) {
                        top.layer.close(index);
                        history.go(0);
                    }
                });
            }else {
                parent.layer.msg("信息未填写完整!", {icon: 5});
            }
        }
        function deleteUtil(id,name){
            parent.layer.confirm('确认删除吗？', {
                btn: ['确认', '取消'] //可以无限个按钮
            }, function(index, layero){
                var body = top.layer.getChildFrame('body', "${indexf}");
				$.ajax({
					url:'${ctx}/workfullmanage/workFullConstruct/delete',
					data:{
					  "id":id
					},
					success:function(data){
                        var inputForm = body.find('#constructId tr td').eq(1).children().html();
                        if(name == inputForm){
							body.find('#constructId tr').remove();
						}
						if(data.str == "success"){
							parent.layer.msg("删除成功",{icon:6});
							location.reload();
                            parent.layer.close(index);
						}
					},error:function(){
                        parent.layer.close(index);
                    }
				});
            }, function(index){
                parent.layer.close(index);
            });
		}
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>施工单位列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    <div class="ibox-content">
	<sys:message content="${message}"/>
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workFullConstruct" action="${ctx}/workfullmanage/workFullConstruct/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
			<label>施工单位：</label>
			<form:input path="unitName" htmlEscape="false"    class="form-control required"/>
			<label>联系人：</label>
			<form:input path="unitLinkMan" htmlEscape="false"    class="form-control required"/>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workfullmanage:workFullConstruct:import">
				<table:importExcel url="${ctx}/workfullmanage/workFullConstruct/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workfullmanage:workFullConstruct:export">
	       		<table:exportExcel url="${ctx}/workfullmanage/workFullConstruct/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
			<button onclick="openBill('添加施工单位','${ctx}/workfullmanage/workFullConstruct/form?tabId=0','80%','80%',false,'inputForm','#constructId')" class="btn btn-white btn-sm" ><i class="fa fa-plus"></i>&nbsp;添加</button>
	        <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>

			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column unitName">施工单位</th>
				<th  class="sort-column unitLinkMan">联系人</th>
				<th  class="sort-column linkPhone">联系电话</th>
				<th  class="sort-column remarks">备注</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workFullConstruct">
			<tr>
				<td> <input type="checkbox" id="${workFullConstruct.id}" class="i-checks"></td>
				<td>
					<a  href="javascript:void(0)" onclick="openDialogView('查看施工单位', '${ctx}/workfullmanage/workFullConstruct/form?id=${workFullConstruct.id}&tabId=1','80%','80%')">
						${workFullConstruct.unitName}
					</a>
				</td>
				<td>
					${workFullConstruct.unitLinkMan}
				</td>
				<td>
					${workFullConstruct.linkPhone}
				</td>
				<td>
					${workFullConstruct.remarks}
				</td>
				<td class="hide">cunique</td>
				<td>
					<a href="javascript:void(0)" onclick="openBill('修改施工单位', '${ctx}/workfullmanage/workFullConstruct/form?id=${workFullConstruct.id}','80%','80%',false,'inputForm')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
					<a href="javascript:void(0)" onclick="deleteUtil('${workFullConstruct.id}','${workFullConstruct.unitName}')"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>
